#ifndef LIBPPM_H
#define LIBPPM_H

#include <stdio.h>

#define PEL unsigned char

struct ppm_image {
  int width, height;
  PEL *data;
};

int ppminit(struct ppm_image *p);
int ppmalloc(struct ppm_image *p, int width, int height);
int ppmdestroy(struct ppm_image *p);
int ppmread(FILE *infp, struct ppm_image *p);
int ppmwrite(FILE *outfp, struct ppm_image *img);
int ppmscale(struct ppm_image *p, int nw, int nh);
int ppmcrop(struct ppm_image *p, int nw, int nh, PEL bg_r, PEL bg_g, PEL bg_b);
int ppmgreyscale(struct ppm_image *p);
int ppmdither2(struct ppm_image *p);

#endif
